package com.op.wms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.TreeEntity;

/**
 * 物料BOM管理对象 base_bom_items_t
 * 
 * @author Open Platform
 * @date 2023-07-18
 */
public class BaseBomItemsT extends TreeEntity {
	private static final long serialVersionUID = 1L;

	/** BOM配方组成主键 */
	private String bomItemId;

	/** BOM配方组成描述 */
	@Excel(name = "BOM配方组成描述")
	private String bomItemDesc;

	/** BOM配方组成序号 */
	@Excel(name = "BOM配方组成序号")
	private Long bomFormulationOrder;

	/** BOM配方主键 */
	@Excel(name = "BOM配方主键")
	private String bomFormulationId;

	/** 产品主键 */
	@Excel(name = "产品主键")
	private String prodId;

	/** 数量 */
	@Excel(name = "数量")
	private Long Quantity;

	/** 精度 */
	@Excel(name = "精度")
	private Long Precision;

	/** 计量单位主键 */
	@Excel(name = "计量单位主键")
	private String euId;

	/** 最低偏差 */
	@Excel(name = "最低偏差")
	private Long lowerTolerance;

	/** 最低偏差精度 */
	@Excel(name = "最低偏差精度")
	private Long lowerTolerancePrecision;

	/** 最高偏差 */
	@Excel(name = "最高偏差")
	private Long upperTolerance;

	/** 最高偏差精度 */
	@Excel(name = "最高偏差精度")
	private Long upperTolerancePrecision;

	/** 可用标识 */
	@Excel(name = "可用标识")
	private String Active;

	/** 工厂主键 */
	@Excel(name = "工厂主键")
	private String siteId;

	/** 工厂编码 */
	@Excel(name = "工厂编码")
	private String siteCode;

	/** 企业主键 */
	@Excel(name = "企业主键")
	private String enterpriseId;

	/** 企业编码 */
	@Excel(name = "企业编码")
	private String enterpriseCode;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private String FactoryNo;

	/** 采购类型 */
	@Excel(name = "采购类型")
	private String BESKZ;

	/** 特殊采购类型 */
	@Excel(name = "特殊采购类型")
	private String SOBSL;

	/** 层级 */
	@Excel(name = "层级")
	private String STUFE;

	public void setBomItemId(String bomItemId) {
		this.bomItemId = bomItemId;
	}

	public String getBomItemId() {
		return bomItemId;
	}
	public void setBomItemDesc(String bomItemDesc) {
		this.bomItemDesc = bomItemDesc;
	}

	public String getBomItemDesc() {
		return bomItemDesc;
	}
	public void setBomFormulationOrder(Long bomFormulationOrder) {
		this.bomFormulationOrder = bomFormulationOrder;
	}

	public Long getBomFormulationOrder() {
		return bomFormulationOrder;
	}
	public void setBomFormulationId(String bomFormulationId) {
		this.bomFormulationId = bomFormulationId;
	}

	public String getBomFormulationId() {
		return bomFormulationId;
	}
	public void setProdId(String prodId) {
		this.prodId = prodId;
	}

	public String getProdId() {
		return prodId;
	}
	public void setQuantity(Long Quantity) {
		this.Quantity = Quantity;
	}

	public Long getQuantity() {
		return Quantity;
	}
	public void setPrecision(Long Precision) {
		this.Precision = Precision;
	}

	public Long getPrecision() {
		return Precision;
	}
	public void setEuId(String euId) {
		this.euId = euId;
	}

	public String getEuId() {
		return euId;
	}
	public void setLowerTolerance(Long lowerTolerance) {
		this.lowerTolerance = lowerTolerance;
	}

	public Long getLowerTolerance() {
		return lowerTolerance;
	}
	public void setLowerTolerancePrecision(Long lowerTolerancePrecision) {
		this.lowerTolerancePrecision = lowerTolerancePrecision;
	}

	public Long getLowerTolerancePrecision() {
		return lowerTolerancePrecision;
	}
	public void setUpperTolerance(Long upperTolerance) {
		this.upperTolerance = upperTolerance;
	}

	public Long getUpperTolerance() {
		return upperTolerance;
	}
	public void setUpperTolerancePrecision(Long upperTolerancePrecision) {
		this.upperTolerancePrecision = upperTolerancePrecision;
	}

	public Long getUpperTolerancePrecision() {
		return upperTolerancePrecision;
	}
	public void setActive(String Active) {
		this.Active = Active;
	}

	public String getActive() {
		return Active;
	}
	public void setSiteId(String siteId) {
		this.siteId = siteId;
	}

	public String getSiteId() {
		return siteId;
	}
	public void setSiteCode(String siteCode) {
		this.siteCode = siteCode;
	}

	public String getSiteCode() {
		return siteCode;
	}
	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}
	public void setEnterpriseCode(String enterpriseCode) {
		this.enterpriseCode = enterpriseCode;
	}

	public String getEnterpriseCode() {
		return enterpriseCode;
	}
	public void setFactoryNo(String FactoryNo) {
		this.FactoryNo = FactoryNo;
	}

	public String getFactoryNo() {
		return FactoryNo;
	}
	public void setBESKZ(String BESKZ) {
		this.BESKZ = BESKZ;
	}

	public String getBESKZ() {
		return BESKZ;
	}
	public void setSOBSL(String SOBSL) {
		this.SOBSL = SOBSL;
	}

	public String getSOBSL() {
		return SOBSL;
	}
	public void setSTUFE(String STUFE) {
		this.STUFE = STUFE;
	}

	public String getSTUFE() {
		return STUFE;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("bomItemId", getBomItemId())
			.append("bomItemDesc", getBomItemDesc())
			.append("bomFormulationOrder", getBomFormulationOrder())
			.append("bomFormulationId", getBomFormulationId())
			.append("prodId", getProdId())
			.append("Quantity", getQuantity())
			.append("Precision", getPrecision())
			.append("euId", getEuId())
			.append("lowerTolerance", getLowerTolerance())
			.append("lowerTolerancePrecision", getLowerTolerancePrecision())
			.append("upperTolerance", getUpperTolerance())
			.append("upperTolerancePrecision", getUpperTolerancePrecision())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
			.append("Active", getActive())
			.append("siteId", getSiteId())
			.append("siteCode", getSiteCode())
			.append("enterpriseId", getEnterpriseId())
			.append("enterpriseCode", getEnterpriseCode())
			.append("FactoryNo", getFactoryNo())
			.append("BESKZ", getBESKZ())
			.append("SOBSL", getSOBSL())
			.append("STUFE", getSTUFE())
			.toString();
	}
}
